List vendors by organization
Retrieve a list of vendors for an organization. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
Query parameters
Max number of records to return for the query. Use 0 or negative value to return all records.
Collection of field names, conditions, and values used to filter the query
You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.
Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove parameters= and run the request in a different client, for example:
should become:
--url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
See Filters and Conditions Reference for help.
Accepted field names:
method(in, nin, eq, ne)enrollmentStatus(in,nin, eq, ne)status(in, nin, eq, ne)vendorNumber(ct, nct, eq, ne)name(ct, nct, eq, ne)ein(ct, nct, eq, ne)phone(ct, nct, eq, ne)email(ct, nct, eq, ne)remitEmail(ct, nct, eq, ne)address(ct, nct, eq, ne)city(ct, nct, eq, ne)state(ct, nct, eq, ne)country(ct, nct, eq, ne)zip(ct, nct, eq, ne)mcc(ct, nct, eq, ne)locationCode(ct, nct, eq, ne)paypointLegal(ne, eq, ct, nct)paypointDba(ne, eq, ct, nct)parentOrgId(ne, eq, nin, in)orgName(ne, eq, ct, nct)
Accepted comparison operators - enclosed between parentheses:
- eq or empty => equal
- gt => greater than
- ge => greater or equal
- lt => less than
- le => less or equal
- ne => not equal
- ct => contains
- nct => not contains
- in => inside array separated by "|"
- nin => not inside array separated by "|"
Accepted parameters:
- limitRecord : max number of records for query (default="20", "0" or negative value for all)
- fromRecord : initial record in query
Example: netAmount(gt)=20 returns all records with a netAmount greater than 20.00
The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.